Get features

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /project/{projectId}/permissions

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required

Query parameters

  • projectPlanId string Required

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • id string
    • name string
    • minimumPlan object
      Hide minimumPlan attributes Show minimumPlan attributes object
      • id string
      • name string
      • planSequence integer(int32)
      • colorCode string
    • hasPermission boolean
GET /project/{projectId}/permissions
curl \
 --request GET 'https://live.smartpmtech.com/project/{projectId}/permissions?projectPlanId=string' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "id": "string",
    "name": "string",
    "minimumPlan": {
      "id": "string",
      "name": "string",
      "planSequence": 42,
      "colorCode": "string"
    },
    "hasPermission": true
  }
]